/**
 * @file CodeReviewExercise02.cpp
 * @author Luis Arellano (luis.arellano09@gmail.com)
 * @brief exercise 02
 * @version 1.0
 * @date 11.12.2021
 * 
 */


/*******************************************************************************************************************************************
 *  												INCLUDE
 *******************************************************************************************************************************************/
#include <iostream>

using namespace std;

/*******************************************************************************************************************************************
 *  												GLOBAL VARIABLES
 *******************************************************************************************************************************************/
int numberMen = 0;
int numberWomen = 0;
int totalPeople = 0;
float porcentageMen = 0.0;
float porcentageWomen = 0.0;

/*******************************************************************************************************************************************
 *  												FUNCTION DECLARATION
 *******************************************************************************************************************************************/
void Run();
void CollectData();
void Calculate();
void ShowResults();
float CalculatePorcentage(int total, int value);

/*******************************************************************************************************************************************
 *  												MAIN
 *******************************************************************************************************************************************/

int main(){
	
	Run();
	
	return 0;
}

/*******************************************************************************************************************************************
*  												FUNCTION DEFINITION
*******************************************************************************************************************************************/

void Run(){
	CollectData();
	Calculate();
	ShowResults();
}
//=====================================================================================================

void CollectData(){
	cout<<"============Insert data============\r\n";
	cout<<"Ingrese el numero de varones: ";
	cin>>numberMen;
	cout<<"Ingrese el numero de mujeres: ";
	cin>>numberWomen;
}
//=====================================================================================================

void Calculate(){
	totalPeople = numberMen + numberWomen;
	porcentageMen = CalculatePorcentage(totalPeople, numberMen);
	porcentageWomen = CalculatePorcentage(totalPeople, numberWomen);
}
//=====================================================================================================

void ShowResults(){
	cout<<"\r\n============Show result============\r\n";
	cout<<"el porcentaje de varones es :"<<porcentageMen<<"%\r\n";
	cout<<"el porcentaje de mujeres es :"<<porcentageWomen<<"%\r\n";
}
//=====================================================================================================

float CalculatePorcentage(int total, int value){
	return ((float)value/(float)total)*100.0;
}
//=====================================================================================================




